Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Oct 2009 10:01:41 -0400

>>> I just wanted to make sure that with "Things like `same-window'" you do
>>> not intend a (same-window . t) entry in `special-display-buffer-names'.
>> The way I see it, the `other-window' argument to pop-to-buffer should be
>> able to provide such settings as well.  I.e. they could be provided both
>> by the user in s-d-b-n and by the code in other-window.  And of course,
>> application-provided settings would only take precedence over global
>> settings and not over user cutomizations.
> Currently, OTHER-WINDOW non-nil is an application-provided setting

Right, and it will stay this way.

> and takes precedence over user customizations.

We would want to change that, then.

Note that the only customization it can override is the `same-window'
one IIUC, which is pretty new, so it currently only overrides user
customizations in very rare cases and I'm not sure that it's a feature
rather than a bug.

        Stefan